/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.testmisc.portlet;

import com.liferay.portal.kernel.log.Log;
import com.liferay.portal.kernel.log.LogFactoryUtil;

import java.io.IOException;
import java.io.PrintWriter;

import javax.portlet.PortletException;
import javax.portlet.RenderRequest;
import javax.portlet.RenderResponse;
import javax.portlet.filter.FilterChain;
import javax.portlet.filter.FilterConfig;
import javax.portlet.filter.RenderFilter;

/**
 * @author Brian Wing Shun Chan
 */
public class TestRenderFilter implements RenderFilter {

	public void init(FilterConfig filterConfig) {
		Log log = LogFactoryUtil.getLog(TestRenderFilter.class);

		log.info("Init");
	}

	public void doFilter(
			RenderRequest renderRequest, RenderResponse renderResponse,
			FilterChain filterChain)
		throws IOException, PortletException {

		Log log = LogFactoryUtil.getLog(TestRenderFilter.class);

		log.info("Before filter");

		TestRenderResponse testRenderResponse = new TestRenderResponse(
			renderResponse);

		filterChain.doFilter(renderRequest, testRenderResponse);

		PrintWriter printWriter = renderResponse.getWriter();

		printWriter.print(testRenderResponse.getString());

		log.info("After filter");
	}

	public void destroy() {
		Log log = LogFactoryUtil.getLog(TestRenderFilter.class);

		log.info("Destroy");
	}

}