/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.testmisc.scheduler;

import com.liferay.portal.kernel.log.Log;
import com.liferay.portal.kernel.log.LogFactoryUtil;
import com.liferay.portal.kernel.scheduler.SchedulerEngineUtil;
import com.liferay.portal.kernel.scheduler.StorageType;
import com.liferay.portal.kernel.scheduler.TriggerState;
import com.liferay.testmisc.messaging.TestSchedulerMessageListener;

/**
 * @author Shuyang Zhou
 */
public class TestSchedulerBean {

	public void afterPropertiesSet() {
		try {
			Thread.sleep(1000);

			TriggerState triggerState = SchedulerEngineUtil.getJobState(
				TestSchedulerMessageListener.class.getName(),
				TestSchedulerMessageListener.class.getName(),
				StorageType.MEMORY);

			if (triggerState == null) {
				TestSchedulerUtil.setScheduledBeforeSpringInitialized(false);
			}
			else {
				TestSchedulerUtil.setScheduledBeforeSpringInitialized(true);
			}

			TestSchedulerUtil.setReceivedBeforeSpringInitialzed(
				TestSchedulerMessageListener.isReceived());
		}
		catch (Exception e) {
			_log.error(e, e);
		}
	}

	private static Log _log = LogFactoryUtil.getLog(TestSchedulerBean.class);

}