/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.testmisc.servlet;

import com.liferay.portal.kernel.servlet.PortletSessionListenerLoader;

/**
 * <p>
 * This is a <code>javax.servlet.ServletContextListener</code> that loads a
 * <code>javax.servlet.http.HttpSessionListener</code> and ensures the hot
 * deployed WAR's session events are triggered along with the portal's session
 * events. This is only needed for certain application servers under certain
 * configurations. Otherwise, you can just load the the
 * <code>HttpSessionListener</code> directly in WEB-INF/web.xml.
 * </p>
 *
 * <p>
 * See http://support.liferay.com/browse/LEP-2299.
 * </p>
 *
 * @author Brian Wing Shun Chan
 * @see    com.liferay.testmisc.servlet.TestPortletSessionListener
 */
public class TestPortletSessionListenerLoader
	extends PortletSessionListenerLoader {

	public TestPortletSessionListenerLoader() {
		super(new TestPortletSessionListener());
	}

}